function findGatherType(gatherer, supply)
{
	if (!gatherer.resourceGatherRates || !supply)
		return undefined;

	if (!g_ResourceData.CanUse(g_Players[gatherer.player].civ, supply.type.generic))
		return false;

	if (gatherer.resourceGatherRates[supply.type.generic + "." + supply.type.specific])
		return supply.type.specific;

	if (gatherer.resourceGatherRates[supply.type.generic])
		return supply.type.generic;

	return undefined;
}
